Fix Python – Error “filename.whl is not a supported wheel on this platform”

Question

Asked By – lskrinjar

I would like to install scipy-0.15.1-cp33-none-win_amd64.whl that I have saved to the local drive. I am using:

pip 6.0.8 from C:\Python27\Lib\site-packages
python 2.7.9 (default, Dec 10 2014, 12:28:03) [MSC v.1500 64 bit (AMD64)]

When I run:

pip install scipy-0.15.1-cp33-none-win_amd64.whl

I get the following error:

scipy-0.15.1-cp33-none-win_amd64.whl is not a supported wheel on this platform

What is the problem?

Now we will see solution for issue: Error “filename.whl is not a supported wheel on this platform”


Answer

cp33 means CPython 3.3.

You need scipy‑0.15.1‑cp27‑none‑win_amd64.whl instead.

This question is answered By – ismail

This answer is collected from stackoverflow and reviewed by FixPython community admins, is licensed under cc by-sa 2.5 , cc by-sa 3.0 and cc by-sa 4.0